Pular para o conteúdo principal
PUT
/
instances
/
create
Criar Instancia
curl --request PUT \
  --url https://api.vzaps.com/instances/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Minha instancia",
  "webhook": "https://cliente.exemplo.com/webhooks/vzaps",
  "events_subscribe": [
    "Message",
    "Connected",
    "Disconnected"
  ],
  "reject_calls": false,
  "auto_read_messages": false
}
'
{
  "id": "VZ9K2M4N8P1Q3R5S7T0WABCD01EF",
  "name": "Minha instancia",
  "token": "inst_xxxxxxxxxxxxx",
  "url": "https://app.vzaps.com/instances/VZ9K2M4N8P1Q3R5S7T0WABCD01EF",
  "webhook": "https://cliente.exemplo.com/webhooks/vzaps",
  "events_subscribe": "Message,Connected,Disconnected",
  "reject_calls": false,
  "auto_read_messages": false,
  "connected": false,
  "billing_status": "TRIALING",
  "created_at": "2026-04-13T10:00:00Z",
  "updated_at": "2026-04-13T10:00:00Z"
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
name
string
obrigatório
Required string length: 3 - 255
webhook
string<uri>
events_subscribe
eventsSubscribe
reject_calls
boolean
padrão:false
auto_read_messages
boolean
padrão:false
labels
object

Resposta

Instancia criada

id
string

Identificador publico no formato VZ + hash alfanumerico.

name
string
token
string
url
string<uri>
webhook
string
events_subscribe
string
reject_calls
boolean
auto_read_messages
boolean
connected
boolean | null
connected_at
string<date-time> | null
whatsapp_push_name
string | null
whatsapp_jid
string | null
billing_status
string
created_at
string<date-time>
updated_at
string<date-time>
cancel_at
string<date-time> | null
expired_at
string<date-time> | null